Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/namelist_top
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/namelist_top	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/namelist_top	(revision 3646)
@@ -0,0 +1,143 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/TOP1 :  1 - tracer definition                     (namtrc    )
+!!              2 - tracer data initialisation            (namtrc_dta)
+!!              3 - tracer advection                      (namtrc_adv)
+!!              4 - tracer lateral diffusion              (namtrc_ldf)
+!!              5 - tracer vertical physics               (namtrc_zdf)
+!!              6 - tracer newtonian damping              (namtrc_dmp)
+!!              7 - dynamical tracer trends               (namtrc_trd)
+!!              8 - tracer output diagonstics             (namtrc_dia)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namtrc     !   tracers definition
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   nn_dttrc      =  1        !  time step frequency for passive sn_tracers      
+   ln_top_euler  = .true.    !  Euler timestepping
+!
+!                !    name   ! title of the field   ! initial data ! initial data ! save   !
+!                !           !                                           !  units       ! from file    ! or not ! 
+!                !           !                                           !              ! or not       !        !
+   sn_tracer(1)   = 'DUMMY'  , 'Dummy tracer'                      ,       'dummy units',  .false.     ,  .true.
+/
+!-----------------------------------------------------------------------
+&namtrc_dta      !    Initialisation from data input file
+!-----------------------------------------------------------------------
+!
+!                !  file name               ! frequency (hours) ! variable   ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!                !                          !  (if <0  months)  !   name     !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_trcdta(1)  = 'data_1m_O2_nomask'      ,        -1         ,  'O2'      ,    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(2)  = 'data_1m_PO4_nomask'     ,        -1         ,  'PO4'     ,    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(3)  = 'data_1m_NO3_nomask'     ,        -1         ,  'NO3'     ,    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(6)  = 'data_1m_Si_nomask'      ,        -1         ,  'Si'      ,    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(8)  = 'data_1m_Fer_nomask'     ,        -12        ,  'Fer'     ,    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(45) = 'data_1m_DOC_nomask'     ,        -12        ,  'DOC'     ,    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(56) = 'data_1m_DIC_nomask'     ,        -12        ,  'DIC'     ,    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(57) = 'data_1m_Alkalini_nomask',        -12        ,  'Alkalini',    .false.   , .true. , 'yearly'  , ''       , ''
+!
+   cn_dir        =  './'      !  root directory for the location of the data files
+   rn_trfac(1)   =   22.4  !  conversion factor from ml/l to mmol m3 (1 mol O2 = 22.4 l) 
+   rn_trfac(2)   =   1.0   !  -      -      -     -
+   rn_trfac(3)   =   1.0   !  -      -      -     -
+   rn_trfac(6)   =   1.0   !  -      -      -     -
+   rn_trfac(8)   =   1.e9  !  conversion factor from mol/l to umol/m3
+   rn_trfac(45)  =  12.e6  !  conversion factor from mol/l to mg/m3
+   rn_trfac(56)  =  12.0   !  conversion factor from umol/l to mg/m3
+   rn_trfac(57)  =   1.0   !  -      -      -     -
+/
+!-----------------------------------------------------------------------
+&namtrc_bc
+!-----------------------------------------------------------------------
+!              ! file name                ! frequency (hr) ! variable ! time interp. ! clim    !'yearly' or ! weights  ! rotation
+!              !                          !  (if <0 mon)   !   name   !  (logical)   ! (T/F)   ! 'monthly'  ! filename ! pairing
+   sn_trcsbc(3)  = 'ndeposition.orca'     ,        -1      ,  'ndep'      ,  .false.  , .true.  , 'yearly'   , ''       , ''
+   sn_trcsbc(8)  = 'dust.orca'            ,        -1      ,  'dust'      ,  .false.  , .true.  , 'yearly'   , ''       , ''
+
+   rn_trsfac(3)  = 1.0
+   rn_trsfac(8)  = 5.8866e+05             ! conversion factor from kg Fe/m2/mon to umol/m2/d = 1.e9/(55.85)*12/365
+   !
+   sn_trccbc(2)  = 'river'                 ,       -12      ,  'RIVERPHOS'  ,  .false.  , .true.  , 'yearly'   , ''       , ''
+   sn_trccbc(3)  = 'river'                 ,       -12      ,  'RIVERNIT'   ,  .false.  , .true.  , 'yearly'   , ''       , ''
+   sn_trccbc(6)  = 'river'                 ,       -12      ,  'RIVERSIL'   ,  .false.  , .true.  , 'yearly'   , ''       , ''
+   sn_trccbc(8)  = 'river'                 ,       -12      ,  'RIVERFe80'  ,  .false.  , .true.  , 'yearly'   , ''       , ''
+   sn_trccbc(45) = 'river'                 ,       -12      ,  'RIVERDOC'   ,  .false.  , .true.  , 'yearly'   , ''       , ''
+   sn_trccbc(56) = 'river'                 ,       -12      ,  'RIVERDIC'   ,  .false.  , .true.  , 'yearly'   , ''       , ''
+   rn_trcfac(2)  =  8.8464e+10     ! 1 mol P = 30.97 g; 1.e12*1.e3/30.97/365 conversion factor from Tg/y to mmol/d
+   rn_trcfac(3)  =  1.9556e+11     ! 1 mol N = 14.01 g; 1.e12*1.e3/14.01/365 conversion factor from Tg/y to mmol/d
+   rn_trcfac(6)  =  9.7534e+10     ! 1 mol Si = 28.09 g; 1.e12*1.e3/28.09/365 conversion factor from Tg/y to mmol/d
+   rn_trcfac(8)  =  4.9055e+13     ! 1 mol Fe = 55.85 g; 1.e12*1.e6/55.85/365 conversion factor from Tg/y to umol/d
+   rn_trcfac(45) =  2.7397e+12     ! 1.e15/365 ! conversion factor from Tg/y to mg/d
+   rn_trcfac(56) =  2.7397e+12     ! 1.e15/365 ! conversion factor from Tg/y to mg/d
+   cn_dir       = './'     !  root directory for the location of the boundary condition files
+/
+!-----------------------------------------------------------------------
+&namtrc_adv    !   advection scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcadv_cen2   =  .false.  !  2nd order centered scheme   
+   ln_trcadv_tvd    =  .false.  !  TVD scheme
+   ln_trcadv_muscl  =  .true.   !  MUSCL scheme
+   ln_trcadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries
+   ln_trcadv_ubs    =  .false.  !  UBS scheme
+   ln_trcadv_qck    =  .false.  !  QUICKEST scheme
+/
+!-----------------------------------------------------------------------
+&namtrc_ldf    !   lateral diffusion scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcldf_diff   =  .true.   !  performs lateral diffusion (T) or not (F)
+!                               !  Type of the operator : 
+   ln_trcldf_lap    =  .true.   !     laplacian operator       
+   ln_trcldf_bilap  =  .false.  !     bilaplacian operator     
+                                !  Direction of action  :
+   ln_trcldf_level  =  .false.  !     iso-level                
+   ln_trcldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_trcldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   rn_ahtrc_0       =  2000.    !  horizontal eddy diffusivity for tracers [m2/s]
+   rn_ahtrb_0       =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
+/
+!-----------------------------------------------------------------------
+&namtrc_zdf        !   vertical physics
+!-----------------------------------------------------------------------
+   ln_trczdf_exp   =  .false.  !  split explicit (T) or implicit (F) time stepping
+   nn_trczdf_exp   =   3       !  number of sub-timestep for ln_trczdfexp=T
+/
+!-----------------------------------------------------------------------
+&namtrc_rad        !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+   ln_trcrad   =  .true.  !  artificially correct negative concentrations (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namtrc_dmp    !   passive tracer newtonian damping   
+!-----------------------------------------------------------------------
+   ln_trcdmp   =  .false.  !  add a damping term (T) or not (F)
+   nn_hdmp_tr  =   -1      !  horizontal shape =-1, damping in Med and Red Seas only
+                           !                   =XX, damping poleward of XX degrees (XX>0)
+                           !                      + F(distance-to-coast) + Red and Med Seas
+   nn_zdmp_tr  =    1      !  vertical   shape =0    damping throughout the water column
+                           !                   =1 no damping in the mixing layer (kz  criteria)
+                           !                   =2 no damping in the mixed  layer (rho crieria)
+   rn_surf_tr  =   50.     !  surface time scale of damping   [days]
+   rn_bot_tr   =  360.     !  bottom  time scale of damping   [days]
+   rn_dep_tr   =  800.     !  depth of transition between rn_surf and rn_bot [meters]
+   nn_file_tr  =    0      !  create a damping.coeff NetCDF file (=1) or not (=0)
+/
+!-----------------------------------------------------------------------
+&namtrc_trd       !   diagnostics on tracer trends        ('key_trdtrc')
+!                          or mixed-layer trends          ('key_trdmld_trc')
+!----------------------------------------------------------------------
+   nn_trd_trc  =  360       !  time step frequency and tracers trends
+   nn_ctls_trc =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   rn_ucf_trc  =   86400    !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   ln_trdmld_trc_restart = .false.  !  restart for ML diagnostics
+   ln_trdmld_trc_instant = .false.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+   ln_trdtrc(1)  =   .true.
+   ln_trdtrc(2)  =   .true.
+   ln_trdtrc(23) =   .true.
+/
+!-----------------------------------------------------------------------
+&namtrc_dia       !   parameters for passive tracer additional diagnostics
+!----------------------------------------------------------------------
+   ln_diatrc     =  .false.   !  save additional diag. (T) or not (F)
+   ln_diabio     =  .false.
+   nn_writedia   =  5475     !  time step frequency for diagnostics
+   nn_writebio   =  5475
+/
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/runscript
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/runscript	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/runscript	(revision 3646)
@@ -0,0 +1,37 @@
+#! /bin/sh -x
+
+#BSUB -a poe
+#BSUB -J PELAGOS          # Name of the job.
+#BSUB -o PELAGOS_%J.out  # Appends std output to file %J.out.
+#BSUB -e PELAGOS_%J.err  # Appends std error to file %J.out.
+#BSUB -P nemo
+#BSUB -q poe_short    # queue
+#BSUB -n 128          # Number of CPUs
+#BSUB -x 
+#BSUB -R "span[ptile=64]"
+
+export MP_WAIT_MODE=poll
+export MP_POLLING_INTERVAL=30000000
+export MP_SHARED_MEMORY=yes
+export MP_EUILIB=us
+export MP_EUIDEVICE=sn_all
+export LDR_CNTRL=TEXTPSIZE=64K@STACKPSIZE=64K@DATAPSIZE=64K
+export MP_TASK_AFFINITY=core
+
+EXP="EXP00"
+
+workdir="/data/ans017/EXPERIMENTS/PELAGOS/${EXP}"
+datadir="/users/home/ans017/WORKS/GIT/ORCA2-DATA"
+execdir=`pwd`
+
+if [ ! -d ${workdir} ] ; then
+  mkdir -p ${workdir}
+fi
+
+cd $workdir
+rm -rf *
+cp ${execdir}/* ./
+ln -sf ${datadir}/* ./
+ln -sf ${datadir}/ORCA2-TOP/* ./
+
+time mpirun.lsf opa
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/xmlio_server.def
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/xmlio_server.def	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/EXP00/xmlio_server.def	(revision 3646)
@@ -0,0 +1,35 @@
+! xmlio_server namelist
+!
+! using_server: .TRUE.(.FALSE.) to use(bypass) the io_server
+! using_oasis : .TRUE.(.FALSE.) if nemo is coupled through OASIS
+! client_id   : used only for OASIS, NEMO      id in the namecouple 
+! server_id   : used only for OASIS, io_server id in the namecouple
+!
+&coupling_param
+  using_server = .FALSE.
+  using_oasis  = .FALSE.
+  client_id    = 'nemo.x'
+  server_id    = 'ionemo'
+/
+
+! global_mpi_buffer_size: size in Mo of the MPI buffer used by the io_server
+&mpi_param
+  global_mpi_buffer_size = 512
+/  
+
+!!======================================================================
+!!   namnc4            netcdf4 chunking and compression settings
+!!======================================================================
+!-----------------------------------------------------------------------
+&namnc4         !  netcdf4 chunking and compression settings
+                !  (benign if "key_netcdf4" is not used)
+!-----------------------------------------------------------------------
+   nn_nchunks_i   =   4       !  number of chunks in i-dimension
+   nn_nchunks_j   =   4       !  number of chunks in j-dimension
+   nn_nchunks_k   =   31      !  number of chunks in k-dimension
+                              !  setting nn_nchunks_k = jpk will give a chunk size of 1 in the vertical which
+                              !  is optimal for postprocessing which works exclusively with horizontal slabs
+   ln_nc4zip      =   .TRUE.  !  (T) use netcdf4 chunking and compression
+                              !  (F) ignore chunking information and produce netcdf3-compatible files  
+/
+  
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/README
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/README	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/README	(revision 3646)
@@ -0,0 +1,4 @@
+To compile with the BFM:
+export BFMDIR=path/to/bfm
+cd ..
+./makenemo -n PELAGOS -m ARCHFILE -e $BFMDIR/src/nemo -j 8
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/cpp_PELAGOS.fcm
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/cpp_PELAGOS.fcm	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS/cpp_PELAGOS.fcm	(revision 3646)
@@ -0,0 +1,2 @@
+bld::tool::fppkeys key_trabbl key_orca_r2 key_lim2 key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_zdftke key_zdfddm key_diahth key_mpp_mpi key_vectopt_loop key_top key_my_trc
+inc $BFMDIR/src/nemo/bfm.fcm
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/CO2.nml
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/CO2.nml	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/CO2.nml	(revision 3646)
@@ -0,0 +1,97 @@
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!BOP
+!
+! ROUTINE: CO2
+!
+! DESCRIPTION
+!   List of parameters values
+!
+! INTERFACE
+! parameter values for mem_CO2 filled by InitCO2
+!
+!
+! AUTHORS
+!   the BFM team
+!
+! COPYING
+!   
+!   Copyright (C) 2007 P. Ruardij, M. Vichi
+!   (rua@nioz.nl, vichi@bo.ingv.it)
+!
+!   This program is free software; you can redistribute it and/or modify
+!   it under the terms of the GNU General Public License as published by
+!   the Free Software Foundation;
+!   This program is distributed in the hope that it will be useful,
+!   but WITHOUT ANY WARRANTY; without even the implied warranty of
+!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!   GNU General Public License for more details.
+!
+!EOP
+!-------------------------------------------------------------------------!
+!BOC
+
+&CO2_parameters
+! Initial CO2 concentration in the air [ppm]
+   AtmCO20 = 370.0E0
+! Compute the partial pressure of Atmospheric CO2
+   calcAtmpCO2 = .FALSE.
+   pCO2Method = 1  ! 1=MixRatio*slp, 2=Magnus formula 
+!-----------------------------------------------------------------------------------!
+! Read external data for atmospheric CO2 values  
+          ! Read  !   File   ! NetCDF  !  Var    !  RefTime   ! Input      !   Time   !
+          ! Input !   name   ! Logical !  name   !  yyyymmdd  ! Frequency  !  interp  !
+!AtmCO2_N =    2  , 'CMIP5_Historical_GHG_1765_2005.nc' , .TRUE.  , 'CO2'   , '1764-07-01 00:00' ,  'yearly'  ,  .TRUE.  
+!AtmCO2_N =    2  , 'CMIP5_Historical_GHG_1765_2005.dat' , .FALSE.  , 'CO2'   , '1764-07-01 00:00' ,  'yearly'  ,  .TRUE.  
+! Read external data for atmospheric SLP 
+AtmSLP_N  =    0  , 'AtmSLP.nc' , .TRUE.  ,'AtmSLP' , '1764-07-01 00:00'  , 'dummy' ,  .TRUE.  
+AtmTDP_N  =    0  , 'AtmTDP.nc' , .TRUE.  ,'AtmTDP' , '1764-07-01 00:00'  , 'dummy' ,  .TRUE.  
+!-----------------------------------------------------------------------------------!
+
+! Initial pH value
+   phstart = 8.10E0
+
+! Choice of the acidity constants parameterization
+! K1K2==1 Roy et al. (1993); DOE (1994); pH on total scale
+! K1K2==2 Default
+!         Mehrbach et al (1973) refit by Dickson & Millero (1987)
+!         OCMIP STANDARD; pH on Sea Water Scale
+! K1K2==3 Mehrbach et al (1973) refit by Lueker et al. (2000)
+!         pH on total scale
+! K1K2==4 Hansson (1973b) data as refitted by Dickson and 
+!         Millero (1987); pH on Sea Water Scale
+   K1K2 = 2
+
+! Choice of [H+] numerical computation
+! MethodCalcCO2=1 Approximate static solution
+! MethodCalcCO2=2 Default. Standard OCMIP iteration
+! MethodCalcCO2=3 Follows et al., Ocean Modelling 2006
+!
+! Parameters for MethodCalcCO2=2
+! M2XACC    :  accuracy of the iterative scheme for OCMIP (default 1.E-10)
+! M2PHDELT  :  delta of pH for the root search (realized pH+/-DELT)
+!              in the OCMIP scheme (default 0.5)
+! M2MAXIT   :  maximum number of iterations for OCMIP (default 100 )
+!
+   MethodCalcCO2 = 2
+          M2XACC = 1.0E-10
+        M2PHDELT = 0.3
+         M2MAXIT = 100
+!
+! Calcium ion concentration
+!     [from : "Seawater : Its composition, properties and behaviour"
+!      (2nd Edition), Open University Course Team, 1995]
+!     seawater concentration    = 412 mg / l
+!     atomic weight             = 40.078 g / mol
+!     therefore, concentration  = 10.279 mmol / l
+!                               = 10.279 mol / m3
+        Caconc0 = 10.279E0
+! Normalize Calcium ion concentration by sea water salinity
+        Canorm  = .TRUE.
+/
+
+!EOC
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/LightAdaptation.nml
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/LightAdaptation.nml	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/LightAdaptation.nml	(revision 3646)
@@ -0,0 +1,55 @@
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!BOP
+!
+! !ROUTINE: LightAdaptation
+!
+! DESCRIPTION
+!   List of parameters values
+!   for mem_LightAdaptation filled by InitLightAdaptation
+!
+! AUTHORS
+!   the BFM team
+!
+! COPYING
+!   
+!   Copyright (C) 2006 P. Ruardij, M. Vichi
+!   (rua@nioz.nl, vichi@bo.ingv.it)
+!
+!   This program is free software; you can redistribute it and/or modify
+!   it under the terms of the GNU General Public License as published by
+!   the Free Software Foundation;
+!   This program is distributed in the hope that it will be useful,
+!   but WITHOUT ANY WARRANTY; without even the implied warranty of
+!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!   GNU General Public License for more details.
+!
+!EOP
+!-------------------------------------------------------------------------!
+!BOC
+!
+!
+!  p_isw:  	 Switch between parameterizations
+!  p_chEPLi:  	 Maximum Iopt (W/m2)
+!        :  	    p_clEPLi    =      4.0,    6.0,    5.0,    8.0	# Minimum Iopt (W/m2)
+!  p_clEPLi:  	 Minimum Iopt (W/m2)
+!        :  	    p_ruEPLi    =      0.25,    0.25,   0.5,    0.125	# Maximum daily shift in Iopt (1/d)
+!  p_ruEPLi:  	 Maximum daily shift in Iopt (1/d)
+!  p_addepth:  	 Adaptation depth. Meaningless with high-res models
+
+&LightAdaptation_parameters
+      p_isw = 	1,	1,	1,	1
+  p_addepth = 	50.0,	50.0,	50.0,	50.0
+  p_chEPLi  = 	100.0,	100.0,	100.0,	100.0
+  p_clEPLi  = 	8.0,	10.0,	6.0,	12.0
+  p_ruEPLi  = 	0.2,	0.25,	0.3,	0.15
+/
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!END namelist
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+
+!EOC
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/MesoZoo.nml
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/MesoZoo.nml	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/MesoZoo.nml	(revision 3646)
@@ -0,0 +1,86 @@
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!BOP
+!
+! !ROUTINE: MesoZoo
+!
+! DESCRIPTION
+!   List of parameters values
+!   for mem_MesoZoo filled by InitMesoZoo
+!
+! AUTHORS
+!   the BFM team
+!
+! COPYING
+!   Copyright (C) 2006 P. Ruardij, M. Vichi
+!   (rua@nioz.nl, vichi@bo.ingv.it)
+!
+!   This program is free software; you can redistribute it and/or modify
+!   it under the terms of the GNU General Public License as published by
+!   the Free Software Foundation;
+!   This program is distributed in the hope that it will be useful,
+!   but WITHOUT ANY WARRANTY; without even the implied warranty of
+!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!   GNU General Public License for more details.
+!
+!EOP
+!-------------------------------------------------------------------------!
+!BOC
+!
+!
+!        :
+!        :  	 The variable Z3 represents carnivorous mesozooplankton and Z4 represents
+!        :  	 omnivorous mesozooplankton.
+!        :
+!  p_q10:  	 Doubling temperature
+!  p_srs:  	 Respiration rate at 10 degrees C
+!  p_sum:  	 Maximal productivity at 10 degrees C
+!  p_sd:  	 Background natural mortality
+!  p_vum:  	 Specific search volume
+!  p_puI_u:  	 Assimilation efficiency
+!  p_peI_R6:  	 Faeces production
+!  p_sdo:  	 Fractional density-dependent mortality
+!  p_sds:  	 Exponent of density-dependent mortality
+!  p_qpc:  	 Quotum phosphate
+!  p_qnc:  	 Quotum nitrate
+
+&MesoZoo_parameters
+!		Z3	Z4
+       p_q10 =	2.0,	2.0
+       p_srs =	0.01,	0.02
+        p_sd = 	0.01,	0.01
+       p_sum = 	1.6,	2.0
+       p_vum = 	0.016,	0.008
+     p_puI_u = 	0.8,	0.6
+    p_peI_R6 = 	0.2,	0.4
+       p_sdo = 	4.d-4,	4.d-4
+       p_sds = 	2.0,	2.0
+       p_qpc = 	1.67d-3,1.67d-3
+       p_qnc = 	0.015,	0.015
+     p_clO2o = 	30.0,	30.0
+!		P1	P2	P3	P4
+!	Z3
+ p_puPI(1,:) =	0.0,	0.0,	0.0,	0.0
+!	Z4
+ p_puPI(2,:) =	1.0,	0.25,	0.0,	0.0
+!		Z5	Z6
+!	Z3
+p_puMIZ(1,:) =	0.0,	0.0
+!	Z4
+p_puMIZ(2,:)=	1.0,	0.0,
+!		Z3	Z4
+!	Z3
+p_puMEZ(1,:)=	1.0,	1.0
+!	Z4
+p_puMEZ(2,:)=	0.0,	1.0
+
+/
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!END namelist
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+
+!EOC
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/MicroZoo.nml
===================================================================
--- /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/MicroZoo.nml	(revision 3646)
+++ /branches/2012/dev_CMCC_INGV_2012/NEMOGCM/CONFIG/PELAGOS_OFF/EXP00/MicroZoo.nml	(revision 3646)
@@ -0,0 +1,93 @@
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!BOP
+!
+! !ROUTINE: MicroZoo
+!
+! DESCRIPTION
+!   List of parameters values
+!   for mem_MicroZoo filled by InitMicroZoo
+!
+! AUTHORS
+!   the BFM team
+!
+! COPYING
+!   
+!   Copyright (C) 2006 P. Ruardij, M. Vichi
+!   (rua@nioz.nl, vichi@bo.ingv.it)
+!
+!   This program is free software; you can redistribute it and/or modify
+!   it under the terms of the GNU General Public License as published by
+!   the Free Software Foundation;
+!   This program is distributed in the hope that it will be useful,
+!   but WITHOUT ANY WARRANTY; without even the implied warranty of
+!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!   GNU General Public License for more details.
+!
+!EOP
+!-------------------------------------------------------------------------!
+!BOC
+!
+!
+!        :
+!        :  	 The variable Z5 represents microozooplankton and Z6 represents
+!        :  	 heterotrophic nanoflagellates (HNAN)
+!        :
+!  p_q10:  	 Q10 value
+!  p_srs:  	 Respiration rate at 10 degrees Celsius
+!  p_sum:  	 Max. rel daily uptake as a fraction of biomass
+!  p_sdo:  	 Mortality due to oxygen limitation
+!  p_sd:  	 Temperature independent mortality
+!  p_pu_ra:  	 Activity respiration
+!  p_pu_ea:  	 Activity excretion
+!  p_chro:  	 Oxygen saturation where respiration is 0.5
+!  p_chuc:  	 Food concentration where total uptake rate is 0.5
+!  p_minfood:  	 Concentration below which feeding on a particular
+!        :  	 foodsource is depressed
+!  p_qn_mz:  	 Maximum quotum P
+!  p_qp_mz:  	 Maximum quotum N
+!  p_suPI(P1):  	 /day   #relative P1 uptake by zoo
+!  p_suPI(P2):  	 /day   #relative P2 uptake by zoo
+!  p_suPI(P3):  	 /day   #relative P3 uptake by zoo
+!  p_suPI(P4):  	 /day   #relative P4 uptake by zoo
+!  p_suZI(Z5):  	 /day   #relative Z5 uptake by zoo
+!  p_suZI(Z6):  	 /day   #relative Z6 uptake by zoo
+!  p_suB1:  	 /day   #relative B1 uptake by zoo
+
+!       	Z5	Z6
+&MicroZoo_parameters
+       p_q10 = 	2.0,	2.0
+       p_srs = 	0.02,	0.02
+       p_sum = 	2.0,	10.0
+       p_sdo = 	0.05,	0.05
+        p_sd = 	0.0,	0.0
+     p_pu_ra = 	0.25,	0.35
+     p_pu_ea = 	0.25,	0.35
+      p_chro = 	7.8,	7.8
+      p_chuc = 	30.0,	100.0
+   p_minfood = 	10.0,	50.0
+     p_qp_mz = 	1.85d-3,1.85d-3
+     p_qn_mz = 	1.67d-2,1.67d-2
+! Food matrix parameters: take care of the notation
+!		P1	P2	P3	P4
+!	Z5
+ p_suPI(1,:) =	0.0,	1.0,	0.1,	0.0
+!	Z6
+ p_suPI(2,:) =	0.0,	0.2,	1.0,	0.0
+!		Z5	Z6
+!	Z5
+ p_suZI(1,:) = 	1.0,	1.0
+!	Z6
+ p_suZI(2,:) = 	0.0,	0.2
+!		Z5	Z6
+      p_suB1 = 	0.1,	1.0
+/
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+!END namelist
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+
+!EOC
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
+! MODEL  BFM - Biogeochemical Flux Model 
+!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
